can't read storage device via pcmcia

Bug #47595 reported by David Tansey on 2006-05-30
8
Affects Status Importance Assigned to Milestone
pcmcia-cs (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: pcmcia-cs

I have a sandisk compactflash pcmcia card reader. I used to be able to plug in the pcmcia card with my CompactFlash card and have it mounted. I at least did it with breezy. Can't remember if I've done it since using dapper. It no longer allows me to do this.

I got this error when trying to insert the pcmcia card while already booted and logged in:

May 30 16:18:44 tuxtop kernel: [4494138.811000] pccard: PCMCIA card inserted into slot 0
May 30 16:18:44 tuxtop kernel: [4494138.811000] cs: memory probe 0xf0000000-0xf7ffffff: excluding 0xf0000000-0xf7ffffff
May 30 16:18:44 tuxtop kernel: [4494138.811000] cs: memory probe 0xd0200000-0xdfffffff: excluding 0xd0200000-0xd11fffff 0xd1a00000-0xd41fffff 0xd4a00000-0xd51fffff 0xd5a00000-0xd61fffff 0xd6a00000-0xd71fffff 0xd7a00000-0xd81fffff 0xd8a00000-0xd91fffff 0xd9a00000-0xda1fffff 0xdaa00000-0xdb1fffff 0xdba00000-0xdc1fffff 0xdca00000-0xdd1fffff 0xdda00000-0xde1fffff 0xdea00000-0xdf1fffff 0xdfa00000-0xe01fffff
May 30 16:18:44 tuxtop kernel: [4494138.821000] pcmcia: registering new device pcmcia0.0
May 30 16:18:44 tuxtop kernel: [4494139.132000] Probing IDE interface ide2...
May 30 16:18:45 tuxtop kernel: [4494139.396000] hde: SanDisk SDCFH-1024, CFA DISK drive
May 30 16:18:45 tuxtop kernel: [4494140.008000] ide2 at 0x3100-0x3107,0x310e on irq 3
May 30 16:18:45 tuxtop kernel: [4494140.008000] hde: max request size: 128KiB
May 30 16:18:45 tuxtop kernel: [4494140.008000] hde: 2001888 sectors (1024 MB) w/1KiB Cache, CHS=1986/16/63
May 30 16:18:45 tuxtop kernel: [4494140.009000] hde: cache flushes not supported
May 30 16:19:15 tuxtop kernel: [4494140.009000] hde:<4>hde: lost interrupt
May 30 16:19:45 tuxtop kernel: [4494200.009000] hde: lost interrupt
May 30 16:19:55 tuxtop kernel: [4494210.009000] hde: lost interrupt
May 30 16:20:25 tuxtop kernel: [4494240.009000] hde: lost interrupt
May 30 16:20:55 tuxtop kernel: [4494270.009000] hde: lost interrupt
May 30 16:21:03 tuxtop kernel: [4494277.737000] pccard: card ejected from slot 0
May 30 16:21:03 tuxtop kernel: [4494277.737000] ------------[ cut here ]------------
May 30 16:21:03 tuxtop kernel: [4494277.737000] kernel BUG at kernel/resource.c:184!
May 30 16:21:03 tuxtop kernel: [4494277.737000] invalid operand: 0000 [#2]
May 30 16:21:03 tuxtop kernel: [4494277.737000] PREEMPT
May 30 16:21:03 tuxtop kernel: [4494277.737000] Modules linked in: ide_cs nls_utf8 sg sd_mod usb_storage scsi_mod isofs udf binfmt_misc rfcomm l2cap bluetooth nvram uinput i915 ppdev drm speedstep_centrino cpufreq_userspace cpufreq_stats freq_table cpufreq_powersave cpufreq_ondemand cpufreq_conservative video tc1100_wmi sony_acpi pcc_acpi ibm_acpi hotkey dev_acpi container button acpi_sbs battery i2c_acpi_ec i2c_core ac ipv6 nls_iso8859_1 nls_cp437 vfat fat dm_mod af_packet md_mod lp pcmcia tsdev usbhid irtty_sir sir_dev nsc_ircc irda crc_ccitt yenta_socket rsrc_nonstatic pcmcia_core psmouse serio_raw usblp sdhci mmc_core e1000 ath_pci ath_rate_sample wlan ath_hal parport_pc parport snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc hw_random shpchp pci_hotplug pcspkr rtc intel_agp agpgart evdev ext2 ide_generic ehci_hcd uhci_hcd usbcore ide_cd cdrom ide_disk piix generic thermal processor fan capability commoncap vga16fb vgastate fbcon tileblit fon
May 30 16:21:03 tuxtop kernel: bitblit softcursor
May 30 16:21:03 tuxtop kernel: [4494277.737000] CPU: 0
May 30 16:21:03 tuxtop kernel: [4494277.737000] EIP: 0060:[__release_resource+70/80] Tainted: P VLI
May 30 16:21:03 tuxtop kernel: [4494277.737000] EFLAGS: 00210286 (2.6.15-23-386)
May 30 16:21:03 tuxtop kernel: [4494277.737000] EIP is at __release_resource+0x46/0x50
May 30 16:21:03 tuxtop kernel: [4494277.737000] eax: c808fb00 ebx: f7e16000 ecx: c808f420 edx: c808f420
May 30 16:21:03 tuxtop kernel: [4494277.737000] esi: 00000002 edi: 00003100 ebp: 00000010 esp: f7e17e78
May 30 16:21:03 tuxtop kernel: [4494277.737000] ds: 007b es: 007b ss: 0068
May 30 16:21:03 tuxtop kernel: [4494277.737000] Process pccardd (pid: 3060, threadinfo=f7e16000 task=f7d03030)
May 30 16:21:03 tuxtop kernel: [4494277.737000] Stack: c0121e26 c808f420 f7d74c28 00000002 f8b6dd5c c808f420 00003100 f7d74c28
May 30 16:21:03 tuxtop kernel: [4494277.737000] f746e4d8 f8b6d2d0 f7e17f2c f8b6e5cd f7d74c28 00003100 00000010 f4fc3400
May 30 16:21:03 tuxtop kernel: [4494277.737000] f746e4c0 f8e44870 f4fc3400 f746e4d8 f4fc3400 f7e17f2c f7e17efc f8e4493d
May 30 16:21:03 tuxtop kernel: [4494277.737000] Call Trace:
May 30 16:21:03 tuxtop kernel: [4494277.737000] [release_resource+22/64] release_resource+0x16/0x40
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947141980/1069368320] release_io_space+0x6c/0x80 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947139280/1069368320] send_event_callback+0x0/0x50 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947144141/1069368320] pcmcia_release_io+0x7d/0xd0 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+950118512/1069368320] ide_release+0x40/0x60 [ide_cs]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+950118717/1069368320] ide_event+0xad/0xe0 [ide_cs]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947139350/1069368320] send_event_callback+0x46/0x50 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [bus_for_each_dev+72/128] bus_for_each_dev+0x48/0x80
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947139408/1069368320] send_event+0x30/0x40 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947139280/1069368320] send_event_callback+0x0/0x50 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+947139520/1069368320] ds_event+0x60/0xd0 [pcmcia]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946517828/1069368320] send_event+0x74/0xd0 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946517934/1069368320] socket_remove_drivers+0xe/0x20 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946517963/1069368320] socket_shutdown+0xb/0x30 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946519436/1069368320] socket_remove+0x1c/0x70 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946519612/1069368320] socket_detect_change+0x5c/0x90 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946520060/1069368320] pccardd+0x18c/0x1e0 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [default_wake_function+0/32] default_wake_function+0x0/0x20
May 30 16:21:03 tuxtop kernel: [4494277.737000] [pg0+946519664/1069368320] pccardd+0x0/0x1e0 [pcmcia_core]
May 30 16:21:03 tuxtop kernel: [4494277.737000] [kernel_thread_helper+5/16] kernel_thread_helper+0x5/0x10
May 30 16:21:03 tuxtop kernel: [4494277.737000] Code: 18 8b 42 14 89 01 c7 42 10 00 00 00 00 31 c0 c3 90 8d 74 26 00 39 d0 74 e8 8d 48 14 8b 40 14 85 c0 75 f2 89 f6 b8 ea ff ff ff c3 <0f> 0b b8 00 e5 ff 2f c0 eb bb 56 53 bb 00 e0 ff ff 21 e3 ff 43
May 30 16:21:03 tuxtop kernel: [4494277.737000] <6>note: pccardd[3060] exited with preempt_count 1
May 30 16:21:25 tuxtop kernel: [4494300.009000] hde: irq timeout: status=0xff { Busy }
May 30 16:21:25 tuxtop kernel: [4494300.009000] ide: failed opcode was: unknown
May 30 16:21:27 tuxtop kernel: [4494302.212000] usb 4-4: new high speed USB device using ehci_hcd and address 13
May 30 16:22:01 tuxtop kernel: [4494330.009000] ide2: reset timed-out, status=0xff
May 30 16:22:01 tuxtop kernel: [4494335.010000] hde: status timeout: status=0xff { Busy }
May 30 16:22:01 tuxtop kernel: [4494335.010000] ide: failed opcode was: unknown
May 30 16:22:01 tuxtop kernel: [4494335.010000] hde: drive not ready for command
May 30 16:22:29 tuxtop kernel: [4494363.726000] drivers/usb/input/hid-core.c: input irq status -71 received
May 30 16:22:29 tuxtop kernel: [4494363.760000] usb 4-4: USB disconnect, address 13
May 30 16:22:29 tuxtop kernel: [4494363.966000] usb 4-4: new high speed USB device using ehci_hcd and address 14
May 30 16:22:30 tuxtop kernel: [4494365.010000] ide2: reset timed-out, status=0xff
May 30 16:22:30 tuxtop kernel: [4494365.010000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.010000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.010000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.010000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.010000] unable to read partition table
May 30 16:22:30 tuxtop kernel: [4494365.010000] ide-cs: hde: Vcc = 3.3, Vpp = 0.0
May 30 16:22:30 tuxtop kernel: [4494365.025000] hde:end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.025000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.025000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.025000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.025000] unable to read partition table
May 30 16:22:30 tuxtop kernel: [4494365.178000] hde:end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.178000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.178000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.178000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.178000] unable to read partition table
May 30 16:22:30 tuxtop kernel: [4494365.232000] hde:end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.232000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.232000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.232000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.233000] unable to read partition table
May 30 16:22:30 tuxtop kernel: [4494365.233000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.233000] Buffer I/O error on device hde, logical block 0
May 30 16:22:30 tuxtop kernel: [4494365.233000] end_request: I/O error, dev hde, sector 8
May 30 16:22:30 tuxtop kernel: [4494365.233000] Buffer I/O error on device hde, logical block 1
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 16
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 24
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 32
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 40
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 48
May 30 16:22:30 tuxtop kernel: [4494365.234000] end_request: I/O error, dev hde, sector 56
May 30 16:22:30 tuxtop kernel: [4494365.235000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.235000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.235000] end_request: I/O error, dev hde, sector 64
May 30 16:22:30 tuxtop kernel: [4494365.235000] end_request: I/O error, dev hde, sector 72
May 30 16:22:30 tuxtop kernel: [4494365.235000] end_request: I/O error, dev hde, sector 80
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 88
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 96
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 104
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 112
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 120
May 30 16:22:30 tuxtop kernel: [4494365.236000] end_request: I/O error, dev hde, sector 128
May 30 16:22:30 tuxtop kernel: [4494365.237000] end_request: I/O error, dev hde, sector 136
May 30 16:22:30 tuxtop kernel: [4494365.237000] end_request: I/O error, dev hde, sector 144
May 30 16:22:30 tuxtop kernel: [4494365.237000] end_request: I/O error, dev hde, sector 152
May 30 16:22:30 tuxtop kernel: [4494365.237000] end_request: I/O error, dev hde, sector 160
May 30 16:22:30 tuxtop kernel: [4494365.237000] end_request: I/O error, dev hde, sector 168
May 30 16:22:30 tuxtop kernel: [4494365.238000] end_request: I/O error, dev hde, sector 176
May 30 16:22:30 tuxtop kernel: [4494365.238000] end_request: I/O error, dev hde, sector 184
May 30 16:22:30 tuxtop kernel: [4494365.238000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop last message repeated 2 times
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 192
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 200
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 208
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 216
May 30 16:22:30 tuxtop kernel: [4494365.239000] end_request: I/O error, dev hde, sector 224
May 30 16:22:30 tuxtop kernel: [4494365.240000] end_request: I/O error, dev hde, sector 232
May 30 16:22:30 tuxtop kernel: [4494365.240000] end_request: I/O error, dev hde, sector 240
May 30 16:22:30 tuxtop kernel: [4494365.240000] end_request: I/O error, dev hde, sector 248
May 30 16:22:30 tuxtop kernel: [4494365.240000] end_request: I/O error, dev hde, sector 256
May 30 16:22:30 tuxtop kernel: [4494365.240000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop kernel: [4494365.241000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop last message repeated 5 times
May 30 16:22:30 tuxtop kernel: [4494365.242000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop last message repeated 4 times
May 30 16:22:30 tuxtop kernel: [4494365.243000] end_request: I/O error, dev hde, sector 0
May 30 16:22:30 tuxtop last message repeated 4 times
May 30 16:24:48 tuxtop kernel: [4494502.760000] usb 4-4: USB disconnect, address 14

When I rebooted (since there had been a minor kernel upgrade) I got a similar error. In fact, the system wouldn't even boot. It never got to gdm.

I don't know if this will be fixed by release time. But I think that pcmcia CF card adapters are popular enough that I hope this is fixed sometime.

BTW, I rebooted into windows. The card mounted properly, so it isn't a hardware problem.

Basilio Kublik (sourcercito) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Thanks in advance.

Changed in pcmcia-cs:
status: New → Incomplete

Indeed. dmesg
[25243.060000] ata3.00: qc timeout (cmd 0x91)
[25243.060000] ata3.00: failed to IDENTIFY (INIT_DEV_PARAMS failed,
err_mask=0x4)
[25273.728000] ata3.00: qc timeout (cmd 0x91)
[25273.728000] ata3.00: failed to IDENTIFY (INIT_DEV_PARAMS failed,
err_mask=0x4)
[25273.728000] ata3.00: limiting speed to UDMA7:PIO5
[25304.396000] ata3.00: qc timeout (cmd 0x91)
[25304.396000] ata3.00: failed to IDENTIFY (INIT_DEV_PARAMS failed,
err_mask=0x4)

Thank you for following up on this.

On 9/18/07, Basilio Kublik <email address hidden> wrote:
>
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. You reported this bug a while ago and there hasn't been
> any activity in it recently. We were wondering is this still an issue
> for you? Thanks in advance.
>
> ** Changed in: pcmcia-cs (Ubuntu)
> Status: New => Incomplete
>
> --
> can't read storage device via pcmcia
> https://bugs.launchpad.net/bugs/47595
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Basilio Kublik (sourcercito) wrote :

Hi david
Are you still using breezy?, could you please try to reproduce this issue with the live environment of the Desktop CD of the development release - Gutsy Gibbon. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

David Tansey (djtansey) wrote :

Basilio,

Thanks for the reminder. I hadn't tried it since updating to Gutsy from Feisty a couple of weeks ago. It works!! I will try it a few more times to make sure it isn't a chance occurence or isn't only working because of my current config (not docked, nothing else mounted, etc.)

-David

Basilio Kublik (sourcercito) wrote :

Great, glad to know it works, i'll wait for your feedback and if all works fine, we can close this report :-D

Basilio Kublik (sourcercito) wrote :

Well, since you don't give extra information, i'll assume it works on every test, so i'm marking this report as fix released, if you experience this issue again, please change the status to "New" so we can work on it. Thanks again for taking the time to report this bug and help to make Ubuntu better, feel free to report any future bugs you might find.

Changed in pcmcia-cs:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers